]> ruderich.org/simon Gitweb - config/dotfiles.git/blobdiff - t/test.sh
setup.sh: Support even older Git versions.
[config/dotfiles.git] / t / test.sh
index aedbff09d350623626a03b886ae09d34321aaec8..a76726643727970867e517364c27fb42c3098ce4 100755 (executable)
--- a/t/test.sh
+++ b/t/test.sh
@@ -22,7 +22,7 @@ set -e
 
 git_diff() {
     git diff --color=never --word-diff=plain --word-diff-regex="$1" \
-        | grep -v '^index ' > "result-$2.txt"
+        | grep -v '^index ' >"result-$2.txt"
     diff -u "../expected-$2.txt" "result-$2.txt"
 }
 
@@ -55,6 +55,10 @@ function testme() {
     }
     return 42;
 }
+
+allow = \$! \$? \$.
+allow = \$! \$? \$.
+allow = \$! \$? \$.
 EOF
 git add test.txt
 git commit -m 'Initial commit.' > /dev/null
@@ -83,6 +87,10 @@ function testme() {
     }
     return 42;
 }
+
+allow = \$0 \$! \$? \$.
+allow = \$! \$?
+allow = \$0 \$! \$?
 EOF